  ; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env]
platform = espressif32
board = nodemcu-32s
framework = arduino
;
;monitor_port = /dev/ttyUSB0
monitor_speed = 115200
monitor_filters = time
;upload_port = /dev/ttyUSB0

build_flags =
    -DDEBUG
    -DHELLIGKEIT
    -DNoDebugCO2
lib_deps =
    knolleary/PubSubClient @ 2.8
    ;adafruit/Adafruit GFX Library @ 1.10.4
    adafruit/Adafruit GFX Library @ 1.11.9
    2dom/PxMatrix LED MATRIX library @ 1.8.2
    ;adafruit/Adafruit BusIO @ 1.7.2
    adafruit/Adafruit BusIO @ 1.16.1
    adafruit/Adafruit HTU21DF Library @ 1.0.5
    adafruit/Adafruit BME280 Library @ 2.2.4
    adafruit/Adafruit Unified Sensor @ 1.1.14

[env:debug]     ; Entwicklungssystem
build_flags = ${env.build_flags}
    -DDEBUG=1
    -DGRENZWERT=3.70
    -DSTASSID=\"MagentaWLAN-RGDO\"
    -DSTAPSK=\"93329248424922704583\"
    -DGATEWAY=\"192.168.127.1\"
    -DDNS=\"192.168.127.1\"
    -DSECONDARDNS=\"8.8.8.8\"
    -DMYIP=\"192.168.127.52\"
    -DSUBNET=\"255.255.255.0\"
    -Dmqtt_server=\"192.168.127.193\"
    -DMQTTPORT=1883
    -DCO2Wert=\"hjk/devices/257923/telemetry/co2\"
    -DAKKU=\"hjk/devices/WETTERSTATION2/telemetry/battery\"
    -DWETTER=\"hjk/devices/WETTERSTATION2/telemetry/temperature_Htu_21\"
    -DLUFTDRUCK=\"hjk/devices/WETTERSTATION2/telemetry/pressure\"
    -DFEUCHTIGKEIT=\"hjk/devices/WETTERSTATION2/telemetry/humity\"
    -DHELL=\"hjk/devices/DisplaySulzfeld/telemetry/Lux\"
    -DHTU_Korrectur=0.00
    -DBME_Korrectur=-2.15
    -DKorrekturLuftdruck=0.00
    -DHTUKorrekturFeuchte=0.00
    -DBME_KorrekturFeuchte=0.00
    -DAKKU_GREZWERT=2.95


[env:marcel]     ; Sulzfeld
build_flags = ${env.build_flags}
    -DSTASSID=\"EasyBox-838169\"
    -DSTAPSK=\"RcZmua6Xv4R4V5Kf\"
    -DGATEWAY=\"192.168.2.1\"
    -DDNS=\"192.168.2.1\"
    -DSECONDARDNS=\"192.168.2.1\"
    -DMYIP=\"192.168.2.80\"
    -DSUBNET=\"255.255.255.0\"
    -Dmqtt_server=\"hjkmqtt.dedyn.io\"
    -DMQTTPORT=61883
    
    -DAKKU=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/battery\"
    -DWETTER=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/temperature_Htu_21\"
    -DLUFTDRUCK=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/pressure\"
    -DFEUCHTIGKEIT=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/humity\"
    -DHELL=\"hjk/devices/DisplayMarcel/telemetry/Lux\"
    -DHTU_Korrectur=-5.65
    -DBME_Korrectur=-0.00
    -DKorrekturLuftdruck=0.00
    -DHTUKorrekturFeuchte=0.00
    -DBME_KorrekturFeuchte=0.00
    -DAKKU_GREZWERT=2.950

[env:marcelDebug]     ; Sulzfeld
build_flags = ${env.build_flags}
    -DSTASSID=\"MagentaWLAN-RGDO\"
    -DSTAPSK=\"93329248424922704583\"
    ;-DSTASSID=\"Redmi-Note-11\"
    ;-DSTAPSK=\"51Fische#\"
    -DGATEWAY=\"192.168.127.1\"
    -DDNS=\"192.168.127.1\"
    -DSECONDARDNS=\"8.8.8.8\"
    -DMYIP=\"192.168.127.65\"
    -DSUBNET=\"255.255.255.0\"
    ;-Dmqtt_server=\"hjkmqtt.dedyn.io\"
    ;-DMQTTPORT=61883
    -Dmqtt_server=\"192.168.127.193\"
    -DMQTTPORT=1883
    -DCO2Wert=\"hjk/devices/257923/telemetry/co2\"
    -DAKKU=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/battery\"
    -DWETTER=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/temperature_Htu_21\"
    -DLUFTDRUCK=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/pressure\"
    -DFEUCHTIGKEIT=\"hjk/devices/WETTERSTATIONMARCEL/telemetry/humity\"
    -DHELL=\"hjk/devices/DisplayMarcel/telemetry/Lux\"
    -DHTU_Korrectur=-0.00
    -DBME_Korrectur=-2.00
    -DKorrekturLuftdruck=0.00
    -DHTUKorrekturFeuchte=0.00
    -DBME_KorrekturFeuchte=0.00
    -DAKKU_GREZWERT=2.950

    
    